button {
    outline: none !important;
}

#branches {
    overflow-y: scroll;
}
.filtros {
	background-color: var(--light-light);
    border-radius: 5px;
    padding-bottom: 1rem;
}
.heatmaps-text {
    color: var(--fontColor) !important;
    cursor: pointer;
}

.back-text {
    color: var(--fontColor) !important;
    cursor: pointer;
}

.step-text {
    color: var(--fontColor) !important;

}
.btnBranch {
    margin: 3px;
}

#mapTools {
    margin: 10px 10px;
}
#camerasList {
    width: 19%;
    padding: 15px;
    margin: 0px 17px 0px 0px;
    display: flex;
    flex-direction: column;
}
#camerasList-detail {
    margin: 0px 0px 0px 15px;
    display: flex;
    flex-direction: column;

}
@media screen and (min-width: 700px) and (max-width: 1000px) {
    #camerasList {
        width: 100% !important;
        padding: 15px !important;
        margin: 0px 0px 10px 0px !important;
        display: flex !important;
        flex-direction: column !important;
    }
    .right-section {
    margin-left: 0px !important; 
    margin-top: 10px !important;
    }
    .filtros  {
        margin-bottom: 10px !important;
    }

}
.step_box {
    border: 1px solid;
    padding: 10px;
}

.step_line {
    border: 1px solid;
    height: 10px;
}
._controls {
    /* width: 206px; */
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    cursor: pointer;
  }
  .btn-save-edit-div {
    margin-top: 13px;

  }

  .btn-save-edit {
    border: 1px solid var(--color-green);
    color: var(--color-green);
    border-radius: 8px;
    text-align: center;
    font-size: 12px;
    padding: 6px 12px;
    width: 180px;
    margin-bottom: 10px;
    cursor: pointer;
    background-color: var(--bgColor);
  }

  .branche_cameras {
    margin-top: 8px;
  }
  .right-section {
    display: flex;
    margin-left: 23px;
  }
  .right-section-filter {
    margin-left: 20px;
    padding: 10px;
    height: 892px;
    width: 250px;
    margin-bottom: 0px !important;
  }

  .right-section-filter-detail {

  margin-left: 7px;
    padding: 10px;
    height: 892px;
    width: 190px;
    margin-bottom: 0px !important;
  }
  .heatmap-name {
    display: flex;
    align-items: center;
    /* margin-bottom: 5px; */
  }
.upload-img-div {
    display: flex;
    align-items: center;
}
#btnUploadImg {
    font-size: 35px;
    float: right;
    cursor: pointer;
}
.upload-img-span {
    padding-right: 10px;        
}
  .heatmapName {
    border: 1px solid !important;
    border-radius: 5px !important;
    padding: 7px !important;
    font-size: 12px !important;
  }

  ._controls2 {
    width: 211px;
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    cursor: pointer;
    /* margin-left: 16px; */
  }
  ._controls_1,
  ._controls_2,
  ._controls_3,
  ._controls_4 {
    width: 178px;
    background-color: var(--light-light);
    border-radius: 3px;
    padding: 5px;
    margin-left: 6px;
    margin-bottom: 6px;
    color: var(--fontColor) !important;
  }
  .heatmap-card {
    max-width: 245px;
    padding: 26px 18px 7px 14px;
    margin: 0px;
  }
  .delete-btn-heatmap {
    position: absolute;
    right: 1px;
    top: 0px;
    width: 20px;
    cursor: pointer;
  }
  .steps-text {
    color: #525252 !important;
    margin-left: 7px;
    font-weight: 600;
  }
  .rigth-section {
    margin: 0 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  ._controls3 {
    width: 178px;
    background-color: #a1c523;
    border-radius: 3px;
    padding: 5px;
    margin-left: 6px;
    margin-bottom: 6px;

  }

    #branches_maps,
    #map_details {
    border-radius: 7px;
    background-color: var(--light-light);
    box-shadow: 0px -2px 12px 2px rgb(0 0 0 / 20%);
    padding: 14px;
    height: 892px;
}

.controles {
    background-color: var(--bgColor);
    color: white;
}

#dotsContainer {
    position: absolute;
    width: 800px;
    height: 700px;
    border: 1px solid;
    background-color: green;
    opacity: 0.5;
}

.cell {
    padding: 3px;
    /* border: 1px solid; */
}

.cell-dot {
    font-size: 19px;
    text-decoration: none;
    background-color: transparent;
    cursor: pointer;
    user-select: none;
    width: 10px;
    height: 10px;
}

.yellow-area {
    box-shadow: 0 0 75px 50px yellow;
    width: 100px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.5;
}

.orange-area {
    box-shadow: 0 0 30px 40px orange;
    width: 25px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.red-area {
    box-shadow: 0 0 25px 20px red;
    background-color: red;
    border-radius: 50%;
}

.btnStyle {
    border: 1px solid var(--color-green);
    color: var(--color-green);
    border-radius: 8px;
    text-align: center;
    font-size: 12px;
    padding: 6px 12px;
    cursor: pointer; 
       margin-top: 20px;
    background-color: var(--bgColor);
}

#searchBox {
    border: 1px solid;
    border-radius: 5px;
    padding: 7px;
    font-size: 16px;
}

#branchList {
    width: 165px;
    padding: 6px;
    background-color: var(--bgColor);
    border-radius: 5px;
    color: var(--fontColor);
    height: 37px;
    cursor: pointer;
}

/* ---------------------------Scroll Bar Style--------------------------------------------- */
::-webkit-scrollbar {
    height: 2px;
}

::selection {
    color: none;
    background: none;
}

/* For Mozilla Firefox */
::-moz-selection {
    color: none;
    background: none;
}

/* ---------------------------------------------------------------------------------------- */
.btnHourContainer {
    border: 1px solid;
    border-radius: 50%;
    width: 29px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: #a2a2a1;
    opacity: 0.3;
}

.btnDayContainer {
    border: 1px solid #a2a2a1;
    width: 30px;
    height: 30px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: #a5c939;
    opacity: 0.3;
}

#daysContainer {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: scroll;
    max-width: 698px;
}

.btnHour {
    margin: auto;
}

#allDaysContainer {
    border: 1px solid rgb(255 90 90);
    width: 33px;
    height: 30px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
}

#AllHoursContainer {
    border: 1px solid rgb(255, 150, 150);
    border-radius: 50%;
    width: 29px;
    padding: 5px;
    margin: 2px;
    text-align: center;
    cursor: pointer;
    color: white;
}

.tooltip {
    /* position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; */
}

.cell-dot .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;

    /* Position the tooltip */
    position: absolute;
    z-index: 1;
}

.cell-dot:hover .tooltiptext {
    visibility: visible;
}
.container-no-data{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	margin: 150px auto;
}

.container-no-data p.title{
	font-family: 'Maven Pro', sans-serif;
	font-size: 16px;
}
.container-no-data p{
	font-size: 14px;
}